Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in systemd (Aktualisierung)
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in systemd (Aktualisierung)
ID: USN-3816-2
Distribution: Ubuntu
Plattformen: Ubuntu 16.04 LTS, Ubuntu 18.04 LTS, Ubuntu 18.10
Datum: Di, 20. November 2018, 08:22
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-6954
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-15686
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-15687
Applikationen: systemd
Update von: Mehrere Probleme in systemd

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============2050351611207152417==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="Y4Jxceqf16wIrZvp72Oa06pvH9PZmIkaB"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--Y4Jxceqf16wIrZvp72Oa06pvH9PZmIkaB
Content-Type: multipart/mixed;
boundary="XBcJ9KTDxolzLv3X3lIpa8x4OgSjtrOtr";
protected-headers="v1"
From: Chris Coulson <chris.coulson@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <5b3bf9c1-e3d7-9307-f308-257cb736c01c@canonical.com>
Subject: [USN-3816-2] systemd vulnerability

--XBcJ9KTDxolzLv3X3lIpa8x4OgSjtrOtr
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable
Content-Language: en-US

==========================================================================
Ubuntu Security Notice USN-3816-2
November 19, 2018

systemd vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 18.10
- Ubuntu 18.04 LTS
- Ubuntu 16.04 LTS

Summary:

systemd-tmpfiles could be made to change ownership of arbitrary files.

Software Description:
- systemd: system and service manager

Details:

USN-3816-1 fixed several vulnerabilities in systemd. However, the fix for
CVE-2018-6954 was not sufficient. This update provides the remaining fixes.

We apologize for the inconvenience.

Original advisory details:

Jann Horn discovered that unit_deserialize incorrectly handled status
messages
above a certain length. A local attacker could potentially exploit this via
NotifyAccess to inject arbitrary state across re-execution and obtain root
privileges. (CVE-2018-15686)

Jann Horn discovered a race condition in chown_one(). A local attacker
could potentially exploit this by setting arbitrary permissions on certain
files to obtain root privileges. This issue only affected Ubuntu 18.04 LTS
and Ubuntu 18.10. (CVE-2018-15687)

It was discovered that systemd-tmpfiles mishandled symlinks in
non-terminal path components. A local attacker could potentially exploit
this by gaining ownership of certain files to obtain root privileges. This
issue only affected Ubuntu 16.04 LTS and Ubuntu 18.04 LTS. (CVE-2018-6954)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.10:
systemd 239-7ubuntu10.4

Ubuntu 18.04 LTS:
systemd 237-3ubuntu10.9

Ubuntu 16.04 LTS:
systemd 229-4ubuntu21.9

After a standard system update you need to reboot your computer to make
all the necessary changes.

References:
https://usn.ubuntu.com/usn/usn-3816-2
https://usn.ubuntu.com/usn/usn-3816-1
CVE-2018-6954

Package Information:
https://launchpad.net/ubuntu/+source/systemd/239-7ubuntu10.4
https://launchpad.net/ubuntu/+source/systemd/237-3ubuntu10.9
https://launchpad.net/ubuntu/+source/systemd/229-4ubuntu21.9


--XBcJ9KTDxolzLv3X3lIpa8x4OgSjtrOtr--

--Y4Jxceqf16wIrZvp72Oa06pvH9PZmIkaB
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEERN//5MGgCOgyKeIFYR+97NWUbg8FAlvzPCkACgkQYR+97NWU
bg+BfAf/a8a6LNGKKwIrXf4tk05MR65HKhA/AbvNbPfxU+0VfmX6832yETsjHMWm
j2ufYt8ObKwesldeJq37x35x/gOM4k/kBugZrbBvX/byABKgEcg7SJamWT3acAvJ
2EUshJKsDm+rcXQ8s8YSMXdNcXBJFbFpH+yfdv1sJxBKnZr1gT/rleAk7YJat+ev
9IYo+M0wgy9Ae2QxToVU1ljEhlyz+uvuKMAPieYDxTCdqErwdonu17Py+bXi5VRH
eqsS8UAYPCkjEfiIbCQzZwYzvrtScBQ++Mea1EbUFrdTH/o5F0QnRtnlF5TwEraN
v169KqyPxocoC6kVZDgBV2uAdP26Bw==
=3Vi9
-----END PGP SIGNATURE-----

--Y4Jxceqf16wIrZvp72Oa06pvH9PZmIkaB--


--===============2050351611207152417==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============2050351611207152417==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung